- name: $ARGO_APP_BRANCH
  app: badhouseplants
  branch: $ARGO_APP_BRANCH
  commit_sha: $ARGO_APP_IMAGE_TAG
  chart_version: $ARGO_APP_CHART_VERSION
  repo_url: https://git.badhouseplants.net/api/packages/badhouseplants/helm
  value: |
    namespace: 
      name: badhouseplants-$ARGO_APP_BRANCH
    istio:
      hosts:
        - $ARGO_APP_HOSTNAME
      annotations:
        link.argocd.argoproj.io/env: https://$ARGO_APP_HOSTNAME/
        link.argocd.argoproj.io/build: $DRONE_BUILD_LINK
    hugo:
      image:
        tag: $ARGO_APP_IMAGE_TAG
      baseURL: https://$ARGO_APP_HOSTNAME/
      buildDrafts: true
